Package de.pangaea.metadataportal.processor

## Enum DocumentErrorAction

- java.lang.Object
- - java.lang.Enum<DocumentErrorAction>
  - - de.pangaea.metadataportal.processor.DocumentErrorAction

- All Implemented Interfaces:
    `Serializable`, `Comparable<DocumentErrorAction>`

      public enum DocumentErrorAction
      extends Enum<DocumentErrorAction>

  Enumeration that specifies what action should be taken on a document error.
  Author:
    Uwe Schindler

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DELETEDOCUMENT` |
    `IGNOREDOCUMENT` |
    `STOP` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DocumentErrorAction` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static DocumentErrorAction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STOP

          public static final DocumentErrorAction STOP

    - #### IGNOREDOCUMENT

          public static final DocumentErrorAction IGNOREDOCUMENT

    - #### DELETEDOCUMENT

          public static final DocumentErrorAction DELETEDOCUMENT

  - ### Method Detail

    - #### values

          public static DocumentErrorAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DocumentErrorAction c : DocumentErrorAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DocumentErrorAction valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null